<script setup>
import { RouterLink, RouterView } from 'vue-router'
import {onMounted} from "vue";
import {useAuthStore} from "@/stores/authStore";
import {router} from "@/router";
import {useRoute} from "vue-router";

const authStore = useAuthStore();
const route = useRoute()

onMounted(async () => {
  try {
    await authStore.checkIfLoggedIn();
    if (route.path === '/') {
      await router.push("/dashboard")
    }
  } catch (error) {
    await router.push("/")
    console.log("Error: ", error)
  }

})
</script>

<template>
  <v-app>
    <router-view></router-view>
  </v-app>
</template>

<style scoped>

</style>
